# Uses of Class
org.apache.solr.common.cloud.ReplicaCount

Packages that use ReplicaCount
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of ReplicaCount in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as ReplicaCount
Modifier and Type
Field
Description
`protected ReplicaCount`
CollectionAdminRequest.AddReplica.`numReplicas`
`protected ReplicaCount`
CollectionAdminRequest.Create.`numReplicas`
`protected ReplicaCount`
CollectionAdminRequest.Restore.`numReplicas`

## Uses of ReplicaCount in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return ReplicaCount
Modifier and Type
Method
Description
`static ReplicaCount`
ReplicaCount.`empty()`
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message)`
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message, DocCollection collection)`
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message, DocCollection collection, Integer defaultReplicationFactor)`
Creates a `ReplicaCount` from a message.
`static ReplicaCount`
ReplicaCount.`fromProps(Map<String,Object> propMap)`
Creates a `ReplicaCount` from a properties map.
`static ReplicaCount`
ReplicaCount.`of(Integer nrtReplicas, Integer tlogReplicas, Integer pullReplicas)`
`static ReplicaCount`
ReplicaCount.`of(Replica.Type type, Integer count)`